DPBINDIC(1)

NAME
dpbindic - Convert a binary-form dictionary into a text-form dictionary

SYNOPSYS
dpbindic [ -xiu [ frequency ] ] binary-file [ text-file ]

DESCRIPTION
dpbindic outputs the file information of the binary-form dictionary file specified in binary-file . At this time, the word information of the dictionary can be output in text form to the standard output. To do so, use test-file to specify the text-form dictionary used as the source of binary-form dictionary file. If this specification is omitted, the text dictionary file information in the binary dictionary file will be output. The standard grammar file name is /usr/local/canna/lib/dic/hyoujun.gram. It will be used if the grammar file name specification is omitted. The output format of word information data is specified using an option.

OPTIONS

-x  Outputs the data without using omission symbol @, which is used when the initial word represents the reading.

-i  Replaces the reading and word for output.

-u  Outputs the candidates used in conversion. Outputs all candidates having frequency or more. If frequency is omitted, all candidates having frequency 1 will be output.

EXAMPLES

(1) If the text-form dictionary file name is omitted:
%dibindic iroha.cbd
(Text dictionary file name = Directory size + Word size, packed)
iroha.swd = 2985 + 5306 pak a4
iroha.mwd = 36276 + 113139 pak a4

(2) If the text-form dictionary file name iroha.mwd is specified:
%dpbindic iroha.cbd iroha.mwd
(Text dictionary file name = Directory size + Word size, packed)
iroha.mwd = 36276 + 113139 pak a4

SEE ALSO
mkbindic(1), dicar(1)